<template>
  <ElContainer style="min-height: 100vh">
    <ElHeader>
      <NavigationBar />
    </ElHeader>
    <ElMain>
      <RouterView v-slot="{ Component }">
        <transition name="el-fade-in">
          <component :is="Component" />
        </transition>
      </RouterView>
    </ElMain>
    <Footer />
    <ElBacktop />
  </ElContainer>
</template>

<script setup lang="ts"></script>

<style scoped lang="scss">
:deep(.el-header) {
  --el-header-padding: 0;
}

:deep(.el-main) {
  position: relative;
}
</style>
